curl --request POST \
--url https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"countryCode": "44",
"phoneNumber": "7796344125",
"displayName": "Phonovation",
"type": "EXTERNAL_SMS",
"locale": "en_US"
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders"
payload = {
"countryCode": "44",
"phoneNumber": "7796344125",
"displayName": "Phonovation",
"type": "EXTERNAL_SMS",
"locale": "en_US"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"countryCode\": \"44\",\n \"phoneNumber\": \"7796344125\",\n \"displayName\": \"Phonovation\",\n \"type\": \"EXTERNAL_SMS\",\n \"locale\": \"en_US\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"countryCode\": \"44\",\n \"phoneNumber\": \"7796344125\",\n \"displayName\": \"Phonovation\",\n \"type\": \"EXTERNAL_SMS\",\n \"locale\": \"en_US\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'countryCode' => '44',
'phoneNumber' => '7796344125',
'displayName' => 'Phonovation',
'type' => 'EXTERNAL_SMS',
'locale' => 'en_US'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryCode: '44',
phoneNumber: '7796344125',
displayName: 'Phonovation',
type: 'EXTERNAL_SMS',
locale: 'en_US'
})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUBMITTED_FOR_REGISTRATION"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>",
"validationErrors": {}
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Add WhatsApp sender
Add a WhatsApp sender to your WhatsApp Business Account and initiate the verification process. If the sender is recognized as already verified, it will be automatically submitted for registration.
Required scope: Enable one of: whatsapp:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"countryCode": "44",
"phoneNumber": "7796344125",
"displayName": "Phonovation",
"type": "EXTERNAL_SMS",
"locale": "en_US"
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders"
payload = {
"countryCode": "44",
"phoneNumber": "7796344125",
"displayName": "Phonovation",
"type": "EXTERNAL_SMS",
"locale": "en_US"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"countryCode\": \"44\",\n \"phoneNumber\": \"7796344125\",\n \"displayName\": \"Phonovation\",\n \"type\": \"EXTERNAL_SMS\",\n \"locale\": \"en_US\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"countryCode\": \"44\",\n \"phoneNumber\": \"7796344125\",\n \"displayName\": \"Phonovation\",\n \"type\": \"EXTERNAL_SMS\",\n \"locale\": \"en_US\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'countryCode' => '44',
'phoneNumber' => '7796344125',
'displayName' => 'Phonovation',
'type' => 'EXTERNAL_SMS',
'locale' => 'en_US'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryCode: '44',
phoneNumber: '7796344125',
displayName: 'Phonovation',
type: 'EXTERNAL_SMS',
locale: 'en_US'
})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/embedded-signup/registrations/business-account/{businessAccountId}/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUBMITTED_FOR_REGISTRATION"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>",
"validationErrors": {}
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
WhatsApp Business Account Id.
Body
Country code of the phone number.
1"44"
Phone number to add.
1"7796344125"
Display name of the phone number.
1"Phonovation"
Type of the phone number. It specifies verification type.
EXTERNAL_SMS, EXTERNAL_VOICE "EXTERNAL_SMS"
Locale which will be used to submit for verification.
"en_US"
Response
Sender accepted for verification, if it is already verified it will be submitted for registration.
Add phone number status.
SUBMITTED_FOR_REGISTRATION, OTP_REQUESTED "SUBMITTED_FOR_REGISTRATION"